license_plate_api_estonia
====================

Dart-pakett tehniliste andmete otsimiseks soidukite kohta, mis on Eestis registreeritud nende numbrimargi jargi

`license_plate_api_estonia` on lihtne viis soiduki andmete leidmiseks numbrimargilt (registreerimisnumber)
eestis registreeritud autost

Selleks on vaja kasutajanime ja parooli, mis on tasuta saadaval saidil http://www.xn--siduk-dua.com/

## English

A Dart package for looking up technical details on vehicles registered in estonia by their license plate

`license_plate_api_estonia` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in estonia

This requires a username and password, which is available for free from http://www.xn--siduk-dua.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_estonia/license_plate_api_estonia.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.xn--siduk-dua.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.xn--siduk-dua.com/
